<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * This is a local class contextual translation file for field names and list options.
 * this file is automatically loaded by the /mod/customlabel/lang/xx_utf8/customlabel.php
 * module language file.
 *
 * @package    mod_customlabel
 * @category   mod
 * @author     Valery Fremaux <valery.fremaux@gmail.com>
 * @copyright  (C) 2008 onwards Valery Fremaux (http://www.mylearningfactory.com)
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL
 */
$string['question:view'] = 'Can view the question';
$string['question:addinstance'] = 'Can add an instance';

$string['pluginname'] = 'Course element: Question';
$string['typename'] = 'Question';
$string['question'] = 'Question';
$string['solution'] = 'Solution';
$string['showansweron'] = 'Show answer on';
$string['configtypename'] = 'Enable subtype Question';
$string['questiontext'] = 'Question text';
$string['answertext'] = 'Answer text';
$string['willopenon'] = 'Will open on';
$string['notavailableyet'] = 'Not yet available';
$string['initiallyvisible'] = 'Answer initially visible';
$string['hint'] = 'Hint';
$string['hintinitiallyvisible'] = 'Hint initially visible';
$string['isqcmchallenge'] = 'Is a QCM question challenge';
$string['shuffleanswers'] = 'Shuffle answers';
$string['attempts'] = 'Number of attempts before locking';
$string['correctanswer'] = 'Correct answer';
$string['completion1'] = 'Student has answed the question.';
$string['completion2'] = 'Student has answed the question and has good answer.';
$string['submitqcm'] = 'Submit your answer';
$string['answertext_help'] = 'For simple question without challenge, just type answer text. For QCM challenges, enter a set of answers. Separate answers with a "----" ex :

<pre>&lt;p&gt;Answer 1&lt;/p&gt;----
&lt;p&gt;Answer 2&lt;/p&gt;----
&lt;p&gt;Answer 3&lt;/p&gt;</pre>

or 

<pre>Answer 1\\n----\\nAnswer 2\\n----\\nAnswer 3</pre>

';

$string['isqcmchallenge_help'] = 'A QCM challenge is an interactive question the student can answer to and record his changes.
Depending on completion settings, the question might participate to course completion triggering.';

$string['correctanswer_help'] = 'Ensure you have an answer at this position. Numering starts with 1.';

$string['family'] = 'pedagogic';
